import datetime
import psutil
import pyttsx3

engine = pyttsx3.init()

def speak(text):
    engine.say(text)
    engine.runAndWait()

def get_time():
    current_time = datetime.datetime.now().strftime("%H:%M")
    speak(f"Es ist jetzt {current_time} Uhr")

def get_date():
    current_date = datetime.datetime.now().strftime("%d.%m.%Y")
    speak(f"Heute ist der {current_date}")

def get_battery():
    battery = psutil.sensors_battery()
    percent = battery.percent
    speak(f"Der Akkustand beträgt {percent} Prozent")

# Main program loop
while True:
    command = input("Was möchtest du wissen? (Zeit/Datum/Akkustand)").lower().strip()

    if command == "zeit":
        get_time()
    elif command == "datum":
        get_date()
    elif command == "akkustand":
        get_battery()
    else:
        print("Unbekanntes Kommando.")

